org.appng.core.security.signing

## Class ValidatorConfig

- java.lang.Object
- - org.appng.core.security.signing.BaseConfig
  - - org.appng.core.security.signing.ValidatorConfig

-     public class ValidatorConfig
      extends BaseConfig

  The configuration used for validating a repository
  Author:
    Dirk Heuvels, Matthias Müller

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.appng.core.security.signing.BaseConfig

      `BaseConfig.PrivateKeyFormat, BaseConfig.SigningAlgorithm`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,String>` | `pkgDigests`
    `protected Signature` | `signature`

    - ### Fields inherited from class org.appng.core.security.signing.BaseConfig

      `charset, digest, repoAttributes, signingCertChain`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidatorConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setSigningCert(byte[] signCert, BaseConfig.SigningAlgorithm sigAlgorithm)`
    `void` | `setTrustStore(byte[] trustStore)`
    `void` | `setTrustStorePassword(char[] trustStorePassword)`
    `void` | `setupDefaultTruststore()`

    - ### Methods inherited from class org.appng.core.security.signing.BaseConfig

      `getCertPublicKey, hasMissingKey, setMsgDigest, setSigningCerts`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pkgDigests

          protected Map<String,String> pkgDigests

    - #### signature

          protected Signature signature

  - ### Constructor Detail

    - #### ValidatorConfig

          public ValidatorConfig()
                          throws SigningException

      Throws:
        `SigningException`

  - ### Method Detail

    - #### setSigningCert

          public void setSigningCert(byte[] signCert,
                                     BaseConfig.SigningAlgorithm sigAlgorithm)
                              throws SigningException

      Throws:
        `SigningException`

    - #### setTrustStore

          public void setTrustStore(byte[] trustStore)

    - #### setTrustStorePassword

          public void setTrustStorePassword(char[] trustStorePassword)

    - #### setupDefaultTruststore

          public void setupDefaultTruststore()
                                      throws SigningException

      Throws:
        `SigningException`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.